Subject: [bmwg] Clarifications requested for draft-hamilton-bmwg-ca-bench-meth

From: Kenneth Green <[email-masked]>
Date: Tue, 16 Aug 2011 18:12:48 -0700

Clarifications of the following items would be useful:

1)      Section 3.5 - Definition of 'Flow Size'

a)      Total number of bits at what layer?

b)      Unidirectional or bidirectional?

The example in 3.4 suggests "flow size" is the sum of unidirectional L2 bits but it would help to have it explicity defined. Perhaps  I missed it but I did not find it in draft-hamilton-bmwg-ca-term-00 either.

2)      4.2.4.1 Maximum Throughput

Confusing definition. The name is "maximum throughput" yet the definition say "report the minimum, maximum and average application throughput". Further, the standard definition of "throughput" is the maximum forwarding rate with zero packet loss. It has no min/max/avg.

What is intended here?

3)      4.1.4.2 and 4.2.4.4 - Duration, really?

RFC 2647 section 3.9 defines the concept of "connection establishment

time". Is that what is measured here? A definition of "application duration" is required.

4)      Appendix A - definition of "kB" and "MB" needed.

While it is usual to abbreviate kilobits as 'kb' and kilobytes as 'kB' that is far from universal and it is sufficiently ambiguous to require clarification. The same applies for megabits and megabytes.

There is a typo in the example for RPT which lists the flow as "100 mB". I presume this was intended to be "100 MB"

5)      Appendix A - example only adds up to 95%

In 3.5 it states that the table should include "Percentage of Aggregate Flows". From this I would expect the total of all flows to add up to 100%. What is correct?

Regards,
Kenneth

Kenneth Green
Solution Architect
Ixia

Regards,
Kenneth

Kenneth Green
Solution Architect
Ixia